libteam: Team options functions

libteam 1.30

Functions
Team options functions
Libteam

Wrapper for team generic netlink option-related communication. More...

## Functions
TEAM_EXPORT struct team_option * | team_get_option (struct team_handle *th, const char *fmt,...)
TEAM_EXPORT struct team_option * | team_get_next_option (struct team_handle *th, struct team_option *option)
TEAM_EXPORT bool | team_is_option_initialized (struct team_option *option)
TEAM_EXPORT char * | team_get_option_name (struct team_option *option)
TEAM_EXPORT uint32_t | team_get_option_port_ifindex (struct team_option *option)
TEAM_EXPORT bool | team_is_option_per_port (struct team_option *option)
TEAM_EXPORT uint32_t | team_get_option_array_index (struct team_option *option)
TEAM_EXPORT bool | team_is_option_array (struct team_option *option)
TEAM_EXPORT enum team_option_type | team_get_option_type (struct team_option *option)
TEAM_EXPORT bool | team_is_option_changed (struct team_option *option)
TEAM_EXPORT bool | team_is_option_changed_locally (struct team_option *option)
TEAM_EXPORT unsigned int | team_get_option_value_len (struct team_option *option)
TEAM_EXPORT uint32_t | team_get_option_value_u32 (struct team_option *option)
TEAM_EXPORT char * | team_get_option_value_string (struct team_option *option)
TEAM_EXPORT void * | team_get_option_value_binary (struct team_option *option)
TEAM_EXPORT bool | team_get_option_value_bool (struct team_option *option)
TEAM_EXPORT int32_t | team_get_option_value_s32 (struct team_option *option)
TEAM_EXPORT int | team_set_option_value_u32 (struct team_handle *th, struct team_option *option, uint32_t val)
TEAM_EXPORT int | team_set_option_value_string (struct team_handle *th, struct team_option *option, const char *str)
TEAM_EXPORT int | team_set_option_value_binary (struct team_handle *th, struct team_option *option, const void *data, unsigned int data_len)
TEAM_EXPORT int | team_set_option_value_bool (struct team_handle *th, struct team_option *option, bool val)
TEAM_EXPORT int | team_set_option_value_s32 (struct team_handle *th, struct team_option *option, int32_t val)

## Detailed Description

Wrapper for team generic netlink option-related communication.

## Header

#include <team.h>

## Function Documentation

## ◆ team_get_next_option()

TEAM_EXPORT struct team_option* team_get_next_option | ( | struct team_handle * | th,
|  | struct team_option * | option
| ) |  |

Parameters

  th | libteam library context
  option | option structure

Get next option in list.

Returns
  Option next to option passed.

## ◆ team_get_option()

TEAM_EXPORT struct team_option* team_get_option | ( | struct team_handle * | th,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Parameters

  th | libteam library context
  fmt | format string

Get option structure referred by format string.

Returns
  Pointer to option structure or NULL in case of an error.

## ◆ team_get_option_array_index()

TEAM_EXPORT uint32_t team_get_option_array_index | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option array index.

Returns
  Array index.

## ◆ team_get_option_name()

TEAM_EXPORT char* team_get_option_name | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option name.

Returns
  Pointer to string containing option name.

## ◆ team_get_option_port_ifindex()

TEAM_EXPORT uint32_t team_get_option_port_ifindex | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option port ifindex.

Returns
  Port interface index. to any port.

## ◆ team_get_option_type()

TEAM_EXPORT enum team_option_type team_get_option_type | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option type.

Returns
  Number identificating option type.

## ◆ team_get_option_value_binary()

TEAM_EXPORT void* team_get_option_value_binary | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value as void pointer.

Returns
  Pointer to data.

## ◆ team_get_option_value_bool()

TEAM_EXPORT bool team_get_option_value_bool | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value as bool.

Returns
  Bool.

## ◆ team_get_option_value_len()

TEAM_EXPORT unsigned int team_get_option_value_len | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value length.

Returns
  Option value length.

## ◆ team_get_option_value_s32()

TEAM_EXPORT int32_t team_get_option_value_s32 | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value as signed 32-bit number.

Returns
  Number.

## ◆ team_get_option_value_string()

TEAM_EXPORT char* team_get_option_value_string | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value as string.

Returns
  Pointer to string.

## ◆ team_get_option_value_u32()

TEAM_EXPORT uint32_t team_get_option_value_u32 | ( | struct team_option * | option | ) |

Parameters

  option | option structure

Get option value as unsigned 32-bit number.

Returns
  Number.

## ◆ team_is_option_array()

TEAM_EXPORT bool team_is_option_array | ( | struct team_option * | option | ) |

Parameters

  option | option structure

See if option is array.

Returns
  True if option is array.

## ◆ team_is_option_changed()

TEAM_EXPORT bool team_is_option_changed | ( | struct team_option * | option | ) |

Parameters

  option | option structure

See if option values got changed.

Returns
  True if option got changed.

## ◆ team_is_option_changed_locally()

TEAM_EXPORT bool team_is_option_changed_locally | ( | struct team_option * | option | ) |

Parameters

  option | option structure

See if option values got changed locally.

Returns
  True if option got changed locally.

## ◆ team_is_option_initialized()

TEAM_EXPORT bool team_is_option_initialized | ( | struct team_option * | option | ) |

Parameters

  option | option structure

See if option values are initialized.

Returns
  True if option is initialized.

## ◆ team_is_option_per_port()

TEAM_EXPORT bool team_is_option_per_port | ( | struct team_option * | option | ) |

Parameters

  option | option structure

See if option is per-port.

Returns
  True if option is per-port.

## ◆ team_set_option_value_binary()

TEAM_EXPORT int team_set_option_value_binary | ( | struct team_handle * | th,
|  | struct team_option * | option,
|  | const void * | data,
|  | unsigned int | data_len
| ) |  |

Parameters

  th | libteam library context
  option | option structure
  data | binary data to be set
  data_len | binary data length

Set binary type option.

Returns
  Zero on success or negative number in case of an error.

## ◆ team_set_option_value_bool()

TEAM_EXPORT int team_set_option_value_bool | ( | struct team_handle * | th,
|  | struct team_option * | option,
|  | bool | val
| ) |  |

Parameters

  th | libteam library context
  option | option structure
  val | value to be set

Set bool type option.

Returns
  Zero on success or negative number in case of an error.

## ◆ team_set_option_value_s32()

TEAM_EXPORT int team_set_option_value_s32 | ( | struct team_handle * | th,
|  | struct team_option * | option,
|  | int32_t | val
| ) |  |

Parameters

  th | libteam library context
  option | option structure
  val | value to be set

Set 32-bit signed number type option.

Returns
  Zero on success or negative number in case of an error.

## ◆ team_set_option_value_string()

TEAM_EXPORT int team_set_option_value_string | ( | struct team_handle * | th,
|  | struct team_option * | option,
|  | const char * | str
| ) |  |

Parameters

  th | libteam library context
  option | option structure
  str | string to be set

Set string type option.

Returns
  Zero on success or negative number in case of an error.

## ◆ team_set_option_value_u32()

TEAM_EXPORT int team_set_option_value_u32 | ( | struct team_handle * | th,
|  | struct team_option * | option,
|  | uint32_t | val
| ) |  |

Parameters

  th | libteam library context
  option | option structure
  val | value to be set

Set 32-bit number type option.

Returns
  Zero on success or negative number in case of an error.